Subject: Re: bug#24790: Segmentation fault when changing default font on master

From: Clément Pit--Claudel <[email-masked]>
Date: Tue, 25 Oct 2016 15:27:45 -0400

On 2016-10-25 12:43, Eli Zaretskii wrote:
>> From: Clément Pit--Claudel <[email-masked]>
>> Date: Tue, 25 Oct 2016 10:33:32 -0400
>>
>> When I select the attached font from the "Set default font" menu, nothing happens (the default font does not change).  When I select it again, emacs segfaults (see attached output of bt full).
>>
>> My Emacs has patch af1a69f4d17a482c359d98c00ef86fac835b5fac reverted.  Could this make a difference?
> 
> With such a simple reproducer, it's much easier to re-apply the patch
> and see if it makes the difference than answer your question by just
> looking at your data.

Indeed, and it seems that my reversing this patch is what caused the issue (IOW, I can't crash Emacs any more after re-applying the patch).

Interestingly, if I use 'light as the weight, the right font is selected, and everything works fine (that is, the default frame font changes and Emacs doesn't crash).  But for some reason, x-select-font returns a font-spec in semi-light, and then set-frame-font crashes.

> Why do you still have that commit reverted, btw?  I thought the
> problem caused by it is nowadays solved: you have a variable to avoid
> it.

I never heard about that variable :) Which one is it?

Clément.